import http from '@/utils/http'

/**
 * 查询送会员卡记录
 */
export function find(id) {
  return http.get('/gift/member/card/' + id)
}

/**
 * 更新状态
 */
export function updateStatus(ids, status) {
  return http.post('/gift/member/card/status', { 'id[]': ids, 'status': status })
}

/**
 * 删除送会员卡记录
 */
export function remove(ids) {
  return http.post('/gift/member/card/delete', { 'id[]': ids })
}

/**
 * 保存送会员卡记录
 */
export function save(params) {
  return http.post('/gift/member/card', params)
}
